;; $Id$
;;
;; This file is a sample indexstyle description. It still contains
;; some controlling commands.

(lisp:setq *load-verbose* nil)
(lisp:require 'index)
(lisp:require 'markup)

(defpackage xindy (:use))
(in-package 'xindy)

(lisp:use-package 'index)

(lisp:import idxstyle:*idxstyle-user-interface-definitions*)
(lisp:import markup:*markup-user-interface-definitions*)

;(load "/home/kehr/lib/clisp/metering.fas")
;(load 'metering)
;(mon:monitor-all (find-package 'locref))
;(mon:monitor-all (find-package 'index))
;(mon:monitor-all (find-package 'idxstyle))
;(mon:monitor-all (find-package 'markup))

(lisp:setq lisp:*load-verbose* lisp:t)

;; Indexstyle --- START

(define-location-class "page-numbers"  ("arabic-numbers"))
(define-location-class "chapter-pages"
    ("ALPHA" "-" "arabic-numbers") :hierdepth 1)

(define-crossref-class "see")
(define-crossref-class "see also" :unverified)

(define-location-class-order ("page-numbers" "chapter-pages" "see also" "see"))

(define-attributes (("bold" "default")))

(sort-rule "Cidre" "D")
(sort-rule "A" "a")
(sort-rule "B" "b")

;; Markup

(markup-index :open  "\n\\begin\{theindex\}"
	      :close "\n\\end\{theindex\}"
	      :tree)

(markup-letter-group-list)

;(define-letter-group "a" 10)
;;(define-letter-group "A" 10)
;(define-letter-group "b" 11)
;;(define-letter-group "B" 11)

(markup-letter-group :group 10 :open "\n  \\subsection*{LetterGroup A}")
(markup-letter-group :group 11 :open "\n  \\subsection*{LetterGroup B}")
(markup-letter-group :group  0 :open "\n  \\subsection*{LetterGroup All}")

(markup-indexentry-list)

(markup-indexentry :open "\n  \\item "           :depth 0)
(markup-indexentry :open "\n    \\subitem "      :depth 1)
(markup-indexentry :open "\n      \\subsubitem " :depth 2)

(markup-keyword-list :sep ", ")
(markup-keyword)

(markup-locclass-list :sep "; " :open ", ")

(markup-crossref-list :class "see"      :open "\\emph{see} "      :sep ", ")
(markup-crossref-list :class "see also" :open "\\emph{see also} " :sep ", ")

(markup-crossref-layer-list :sep ", ")
(markup-crossref-layer)

(markup-locref-class)
(markup-locref-class :class "page-numbers" :open "Pages: " )

(markup-attribute-group-list :sep ", ")
(markup-attribute-group)

(markup-locref-list :sep ", " :depth 0)
(markup-locref-list :open " (" :close ")" :sep ", " :depth 1)

(markup-locref)

(markup-locref-layer-list :open "\\toplayer{" :close "}"
			  :class "chapter-pages" :depth 0)
(markup-locref-layer-list :open "\\botlayer{" :close "}"
			  :class "chapter-pages" :depth 1)

(markup-range :class "chapter-pages" :open "\\range{" :sep "--" :close "}")

;; Indexstyle --- END


(lisp:setq ic *indexstyle*)
(lisp:setq ie-tab (index::get-entry-table *index*))

(lisp:load "../testsuite/index/testindex.lsp")

(process-index *index*)

(lisp:write-string (idxstyle:locref-statistics *indexstyle*))

(lisp:setq markup::*markup-verbose-mode* lisp:t)
(markup:do-markup-index *index*)

;(mon:report-monitoring :all :exclusive 0.0075)

;(pprint (index::get-entry-list *index*))
;(pprint (car (index::get-entry-list *index*)))
